import { Alova, url } from '../alova'

/**
 * 拉取列表数据
 * @param num
 */
export const fetchMessageList = (num: string) => {
  return Alova.Get(url.messageList, {
    headers: {
      'Content-Type': 'application/x-www-from-urlencoded; charset=UTF-8'
    },
    params: {
      num
    }
  })
}

export const auditMessage = (params: { num: string; id: number }) => {
  return Alova.Post(url.messageAudit, {
    ...params
  })
}
export const delMessage = (params: { num: string; id: number }) => {
  return Alova.Post(url.messageDel, {
    ...params
  })
}
